Subject: *** The Perl Journal ***
From: [email-masked] (Jon Orwant)
Date: 1 Feb 1997 01:57:13 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

The Perl Journal is a quarterly, printed magazine
		     devoted to All Things Perl.

			    http://tpj.com

       Issue #5 is speeding toward press, and will be mailed in
	mid-late March.  Now would be a good time to subscribe
	    if you don't want to order it as a back issue.

Some heartfelt testimonials:

    "Do yourself a favor and subscribe."
                                                     -SunExpert magazine

    "My first issue of The Perl Journal (vol 1 issue 2) is the best
    single issue of a technical journal I have read. Congratulations to
    all contributors and editors on the great work." 

                                                          -Andrew Duncan

    "...a really hot magazine..."
						      -HotWired (Packet)

    "The Perl Journal outsells WiReD here. It is certainly one of our
    top 5 selling periodicals, and probably one of our top 2...Issue #2
    was the best selling magazine in our four-and-a-half year
    history of selling magazines."

                                -Ray from Quantum Books of Cambridge, MA 

    "By the way I have read from cover to cover both of your
    publications. They have helped me unbelievably at work. Now
    people believe I can do most anything with Perl.  Keep up the
    good work."

                                                             -Doug Spore 

			  Table of Contents

Issue #5 (titles tentative):
     Programming like you mean it: Pattern Languages
     In Sync With Your Data (Understanding Regular Expressions)
     DBI - The Database Interface for Perl 5
     Perl/Tk: Signals, Sockets, and Pipes
     Creating Surreal HTML Pages With The Mangler
     Perl News / New Modules
     $question = $to_be or not $to_be; Perl in a Shakespeare Ensemble
     Perl and the X protocol
     PDL: The Perl Data Language
     Perl And Nuclear Weapons Don't Mix

Issue #4:		
     A Subjective Look at Object Oriented Programming
     Best of Both Worlds: Embedding Perl in C
     The LWP Library: CGI Programming
     use Lovecraft qw(cthulhu necronomicon)
     New Modules
     Randomness
     Understanding Regular Expressions
     The Grid Geometry Manager: Perl/Tk Programming
     The Perl Purity Test
     Using Usenet from Perl

Issue #3:
     Data Hiding
     Perl, Politics, and Pairwise Voting
     CGI Scripts and Cookies
     Penguin: The First Tentative Waddle
     New Modules
     Perl/Tk: Events and Other Things
     FTP: File Transfer Using Perl
     Understanding Regular Expressions
     The Perl Institute
     Obfuscated Perl Contest Results

Issue #2:
     How Perl Saved The Human Genome Project
     The Perl Compiler
     Penguin: Java Done Right
     MacPerl
     Perl And The Tk Toolkit: The Mouse Odometer
     Saving State with CGI.pm
     Understanding Regular Expressions
     Results of the Prisoner's Dilemma
     Obfuscated Perl Contest

Issue #1:
     Wherefore Art, Thou?
     Perl And The Tk Toolkit
     Creating, Processing, And Sending Mail From Perl
     HTML Hacking with Regular Expressions
     Programming For The Web: CGI.pm
     The Prisoner's Dilemma

Prices: $18 U.S., $25 international.  Back issues are $7 ($9 non-U.S.)
and are mailed within a week via first-class/air-mail.  All back
issues are available.  For now.  

TPJ accepts checks, money orders, VISA, and MasterCard, but
operates on *prepayment only* -- we have neither the time nor
the money to send out individual invoices.  There's an order form at 
http://tpj.com/tpj/subscription_form for postal orders.  Our address:

			   The Perl Journal
			     P.O. Box 54
			   Boston MA 02101
				 USA

You can order via e-mail by sending your name, address,
VISA/MasterCard number (preferably encrypted with the PGP key on our
web page) and expiration date to [email-masked].

Enjoy the magazine, and a big thank you to all subscribers and 
authors for their support!

And an apology to all subscribers named Bill.  Their first names were
s///'ed to "Billed" by some overeager subscription management software.
Moral: don't forget the \b!

-Jon

-------------------
Jon Orwant
The Perl Journal
http://tpj.com/tpj/